订阅本站
收藏本站
微博分享
QQ空间分享

OpenSSL DSA代码双重释放漏洞(CVE-2016-0705)

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏
OpenSSL DSA代码双重释放漏洞(CVE-2016-0705)


发布日期:2016-02-27
更新日期:2016-03-02

受影响系统:

OpenSSL Project OpenSSL <=1.0.2
OpenSSL Project OpenSSL <= 1.0.1

不受影响系统:

OpenSSL Project OpenSSL 1.0.2g
OpenSSL Project OpenSSL 1.0.1s

描述:


CVE(CAN) ID: CVE-2016-0705

OpenSSL是一种开放源码的SSL实现,用来实现网络通信的高强度加密,现在被广泛地用于各种网络应用程序中。

OpenSSL 1.0.2及更早版本、1.0.1及更早版本解析畸形DSA密钥中存在双重释放漏洞,可导致受影响应用拒绝服务或内存破坏。

<*来源:Adam Langley
 
  链接:https://www.openssl.org/news/secadv/20160301.txt
*>

建议:


厂商补丁:

OpenSSL Project
---------------
OpenSSL Project已经为此发布了一个安全公告(20160301)以及相应补丁:
20160301:OpenSSL Security Advisory [1st March 2016]
链接:https://www.openssl.org/news/secadv/20160301.txt

更多OpenSSL相关内容可以查看以下的有用链接: 

使用 OpenSSL 命令行构建 CA 及证书  http://www.linuxidc.com/Linux/2015-10/124682.htm

Ubuntu安装OpenSSL  http://www.linuxidc.com/Linux/2015-10/124001.htm

通过OpenSSL提供FTP+SSL/TLS认证功能,并实现安全数据传输 http://www.linuxidc.com/Linux/2013-05/84986.htm

Linux下使用OpenSSL生成证书 http://www.linuxidc.com/Linux/2015-05/117034.htm

利用OpenSSL签署多域名证书 http://www.linuxidc.com/Linux/2014-10/108222.htm

在OpenSSL中添加自定义加密算法  http://www.linuxidc.com/Linux/2015-08/121749.htm

OpenSSL 的详细介绍:请点这里
OpenSSL 的下载地址
:请点这里

本文永久更新链接地址:http://www.linuxidc.com/Linux/2016-03/128815.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: